# HL7 Inspector #

## What is this HL7 Inspector ? ###

[![Downloads](https://img.shields.io/badge/Downloads-gray)](https://bitbucket.org/crambow/hl7inspector/downloads/)
[![GPLv2 License](https://img.shields.io/badge/License-GPL%20v2-yellow.svg)](https://www.gnu.org/licenses/old-licenses/gpl-2.0.txt)

The HL7 Inspector is a useful open source tool for integration the HL7 Version 2 in a health care environmental.
It will help you to minimize the time for tuning the HL7 communication between systems such 
as HIS and RIS by analyzing and validating HL7 messages. 

And the thing about id, the HL7 Inspector is for free.

### Features

* Parsing of HL7 messages
* Sending/receiving messages on IP sockets
* Reading of compressed HL7 text files like log files
* Simple message editor
* Full Unicode support
* Simple message validation support

### Release Notes

Release notes can be read [here](https://bitbucket.org/crambow/hl7inspector/src/master/release-notes.md). 

## License

The HL7 Inspector is distribute under GNU Public License, Version 2.0. For license terms, see COPYING.

## Prebuild binaries and setups

Prebuild binaries can be found [here](https://bitbucket.org/crambow/hl7inspector/downloads/).

## How to compile only the source code

```
> git clone https://crambow@bitbucket.org/crambow/hl7inspector.git
> mvnw clean install
```

## How to build Windows binaries

```
> git clone https://crambow@bitbucket.org/crambow/hl7inspector.git
> mvnw clean install -P windows-setup
```

## How to build Windows portable

```
> git clone https://crambow@bitbucket.org/crambow/hl7inspector.git
> mvnw clean install -P windows-portable
```

## How to build Linux x64 binaries

```
> git clone https://crambow@bitbucket.org/crambow/hl7inspector.git
> mvnw clean install -P linux-distribution
```

## How to build MacOS binaries

Works only on Mac OS and linux systems

```
> git clone https://crambow@bitbucket.org/crambow/hl7inspector.git
> mvnw clean install -P macos-setup
```
